# Class DemoDescription

java.lang.Object
com.orsoncharts.demo.DemoDescription

public class DemoDescription extends Object
A description of a demo application.

## Constructor Summary

Constructors
Constructor
Description
`DemoDescription(String demoClassName, String fileName, String descriptionFileName)`
Creates a new description.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the class name.
`String`
`getDescriptionFileName()`
`String`
`getFileName()`
Returns the file name.
`String`
`toString()`
Returns the class description.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DemoDescription

public DemoDescription(String demoClassName, String fileName, String descriptionFileName)
Creates a new description.

Parameters:
  `demoClassName` - the class name.
  `fileName` - the file name.

## Method Details

### getClassName

public String getClassName()
Returns the class name.

Returns:
  The class name.

### getFileName

public String getFileName()
Returns the file name.

Returns:
  The file name.

### getDescriptionFileName

public String getDescriptionFileName()

### toString

public String toString()
Returns the class description.

Overrides:
  `toString` in class `Object`
Returns:
  The class description.